@charset "UTF-8";
.filter-res {
  display: flex;
  line-height: 32px;
}

.filter-res ul {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
}

.filter-res label {
  color: #333;
  font-weight: bold;
  margin-right: 10px;
  flex-shrink: 0;
}

.filter-res .ant-tag {
  background: #FAFAFA;
  border-radius: 4px;
  border: 1px solid #E0E0E0;
  font-size: 16px;
  line-height: 28px;
  box-sizing: border-box;
  color: #555;
}

.filter-res .reset-btn a {
  color: #003882;
}

.filter-res .ant-tag .anticon-close {
  position: relative;
  top: 1px;
  font-size: 16px;
  color: #003882;
}

.table-box {
  display: flex;
  background-color: #FAFAFA;
  border: 1px solid #EDEDED;
  margin-bottom: 6vw;
}
.table-box  a{
  color: #003882;
}
.table-box .left-table {
  width: 300px;
}

.table-box .left-table .tool-btns {
  box-sizing: border-box;
  height: 89px;
  background-color: #f5f7fa;
  padding: 0 22px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.table-box .left-table .tool-btns a {
  border: 1px solid #003882;
  color: #003882;
  display: inline-block;
  padding: 12px;
  line-height: 1;
  border-radius: 5px;
  box-sizing: border-box;
  min-width: 114px;
  text-align: center;
  width:49%;
  font-size: 16px;
}

.table-box .left-table .tool-btns a.cur {
  color: #F5F7FA;
  background-color: #003882;
}

.table-box .left-table .tool-fnlist {
  border-top: 1px solid #dedede;
}

.table-box .left-table .tool-fnlist .ant-checkbox-input:focus + .ant-checkbox-inner, .table-box .left-table .tool-fnlist .ant-checkbox-wrapper:hover .ant-checkbox-inner, .table-box .left-table .tool-fnlist .ant-checkbox:hover .ant-checkbox-inner {
  border-color: #003882;
}

.table-box .left-table .tool-fnlist .ant-checkbox-checked .ant-checkbox-inner {
  background-color: #003882;
  border-color: #003882;
}

.table-box .left-table .tool-fnlist .ant-checkbox-wrapper span {
  font-weight: 500;
  color: #333;
}

.table-box .left-table .tool-fnlist .ant-col {
  margin-bottom: 10px;
}

.table-box .left-table .tfn2 {
  padding: 30px;
}

.table-box .right-table {
  flex-shrink: 0;
  width: calc(100% - 300px);
  border-left: 1px solid #EDEDED;
  background-color: #FAFAFA;
}
.table-box .right-table .ant-table{
    
  font-size: 15px;
}
.table-box .right-table .ant-table-expand-icon-th, .table-box .right-table .ant-table-row-expand-icon-cell {
  padding-right: 0;
  text-align: right;
}
.table-box .right-table .ant-table tr:hover td{
    background: #f8f8f8;
}
.ant-table-tbody>tr.ant-table-row-hover:not(.ant-table-expanded-row):not(.ant-table-row-selected)>td, .ant-table-tbody>tr:hover:not(.ant-table-expanded-row):not(.ant-table-row-selected)>td, .ant-table-thead>tr.ant-table-row-hover:not(.ant-table-expanded-row):not(.ant-table-row-selected)>td, .ant-table-thead>tr:hover:not(.ant-table-expanded-row):not(.ant-table-row-selected)>td {
  background: #f8f8f8;
}
.table-box .right-table .ant-table-row-collapsed:after {
  display: none;
}

.table-box .right-table .ant-table-row-expanded:after {
  display: none;
}

.table-box .right-table .ant-table-row-expand-icon {
  border: none;
  background: url("../images/arrow-down.png") no-repeat 50% 50%;
  background-size: cover;
  padding: 0;
  vertical-align: middle;
}

.table-box .right-table .ant-table-row-expand-icon.ant-table-row-expanded {
  transform: rotate(-180deg);
}

.table-box .ant-spin-nested-loading {
  background-color: #FFF;
  box-shadow: inset 20px 0px 20px 0px rgba(0, 0, 0, 0.06);
}

.table-box .ant-table-thead > tr > th {
  color: #333;
  font-weight: bold;
  background-color: #f5f7fa;
}

.table-box .ant-table-tbody > tr > td, .table-box .ant-table-thead > tr > th {
  padding: 34px 16px;
}

.table-box .ant-table-tbody > tr > td:nth-child(2) {
  font-weight: bold;
  padding: 0 16px;
}

.table-box .namett {
  cursor: pointer;
  height: 90px;
  display: flex;
  align-items: center;
}

.j-table-force-nowrap .ant-table-fixed-left{
  overflow: initial;
  box-shadow: none;
}
.j-table-force-nowrap .ant-table-scroll .table-expand{
  opacity: 0;
} 
.table-expand {
  position: relative;
}

.table-expand .jia-box {
  width: 1px;
  overflow: hidden;
  overflow-x: auto;
  opacity: 0;
  white-space: nowrap;
}

.table-expand .real-box {
  position: absolute;
  width: 100%;
}

.table-expand > div {
  display: flex;
}
.table-expand .imgshow{
  flex-shrink: 0;
}

.table-expand .text{
  font-size: 16px;
}
.j-table-force-nowrap {
  /** 列自适应，弊端会导致列宽失效 */
}

.j-table-force-nowrap td, .j-table-force-nowrap th {
  /* white-space: nowrap; */
}

.j-table-force-nowrap .ant-table-selection-column {
  padding: 12px 22px !important;
}

.j-table-force-nowrap.ant-table-wrapper .ant-table-content {
  overflow-x: auto;
}

.table-expand {
  display: flex;
  padding: 32px 0;
}

.table-expand .imgshow {
  width: 185px;
  margin-right: 2%;
  transition: all 0.3s;
}
.table-expand .imgshow:hover{
  transform:translateY(-5px)
}

.table-expand .imgshow .img-box {
  padding-bottom: 86%;
}

.table-expand .text {
  width: calc(100% - 185px);
  font-weight: 400;
  /* max-width: 50vw; */
}

.table-expand .text h3 {
  color: #333;
  white-space: normal;
  overflow: hidden;
  line-height:1.5;
  max-height:3em;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.table-expand .text p {
  color: #555;
}
.table-expand .text a:hover h3{
  color: #003882;
}
.table-expand .text .t-number {
  margin: 24px 0 40px;
}

.table-expand .text .t-number .ant-input-number-focused, .table-expand .text .t-number .ant-input-number:hover {
  border-color: #003882;
}

.table-expand .text .t-number .ant-input-number-input {
  height: 40px;
  line-height: 40px;
}

.table-expand .text .t-number .ant-input-number {
  height: 42px;
  width: 130px;
  overflow: hidden;
}

.table-expand .text .t-number .ant-input-number-input {
  text-align: center;
  color: #003882;
  font-size: 20px;
}

.table-expand .text .t-number .ant-input-number-input-wrap {
  position: absolute;
  left: 0;
  top: 0;
  padding: 0 36px;
  text-align: center;
}

.table-expand .text .t-number .ant-input-number-handler-wrap {
  opacity: 1;
  position: initial;
  border-left: none;
}

.table-expand .text .t-number .ant-input-number-handler {
  transform: translateY(0) !important;
}

.table-expand .text .t-number .ant-input-number-handler-up, .table-expand .text .t-number .ant-input-number-handler-down {
  position: absolute;
  top: 0;
  height: 100%;
  width: 40px;
  z-index: 2;
}

.table-expand .text .t-number .ant-input-number-handler-up:hover, .table-expand .text .t-number .ant-input-number-handler-down:hover {
  height: 100% !important;
}

.table-expand .text .t-number .ant-input-number-handler-up .anticon, .table-expand .text .t-number .ant-input-number-handler-down .anticon {
  display: none;
}

.table-expand .text .t-number .ant-input-number-handler-up:after, .table-expand .text .t-number .ant-input-number-handler-down:after {
  content: '';
  position: absolute;
  left: 0;
  top: 45%;
  width: 100%;
  transform: translateY(-50%);
  color: #555;
  font-size: 26px;
  font-weight: 400;
}

.table-expand .text .t-number .ant-input-number-handler-up {
  right: 0;
  border-left: 1px solid rgba(0, 0, 0, 0.1);
}

.table-expand .text .t-number .ant-input-number-handler-up:after {
  content: '';
  width: 20px;
  height: 20px;
  background: url("../images/add-icon.png") no-repeat center;
  opacity: 0.5;
  background-size: cover;
  left: 50%;
  top: 50%;
  margin: -10px 0 0 -10px;
  transform: translateY(0);
}

.table-expand .text .t-number .ant-input-number-handler-down {
  border-top: none;
  left: 0;
  border-right: 1px solid rgba(0, 0, 0, 0.1);
}

.table-expand .text .t-number .ant-input-number-handler-down:after {
  content: '';
  width: 20px;
  height: 20px;
  background: url("../images/jian-icon.png") no-repeat center;
  opacity: 0.5;
  background-size: cover;
  left: 50%;
  top: 50%;
  margin: -10px 0 0 -10px;
  transform: translateY(0);
}

.filte-total {
  color: #555;
  margin: 18px 0;
}

.filte-total .wap-filter {
  display: none;
}

.page-ant-box {
  display: flex;
  justify-content: space-between;
  padding: 20px 60px;
  color: #555555;
}

.page-ant-box .rig-page {
  display: flex;
  align-items: center;
}

.page-ant-box .page-select-size {
  margin: 0 12px;
}

.page-ant-box .ant-pagination-item {
  background-color: transparent;
  border: 1px solid #EDEDED;
}

.page-ant-box .ant-pagination-item-active {
  border-color: #003882;
  background-color: #003882;
}

.page-ant-box .ant-pagination-item-active a {
  color: #FFF;
}

.page-ant-box .ant-pagination-next, .page-ant-box .ant-pagination-prev {
  border-radius: 5px;
  border: 1px solid #EDEDED;
  padding: 0 20px;
}

.wap-filter-vue {
  display: none;
}

.scrollable-b {
  height: 10px; /* 固定高度 */
  width: 100%;
  position: sticky; /* 固定在底部 */
  bottom: 0;
 
  /* border: 1px solid #ccc; */
  display: flex;
  align-items: center;
  justify-content: center;
  z-index:2024;
  /* width: 1140px; */

}
 /* 自定义滚动条 */
 .scroll-bar {
      width: 100%; /* 滚动条宽度 */
      height: 10px;
      background: #f5f5f5;
      /* position: absolute;
      bottom: 10px; */
      left: 0;
      border-radius: 5px;
      cursor: pointer;
  }
  
/* 滑块 */
.scroll-thumb {
    width:80%; /* 滑块宽度 */
    height: 10px;
    background: #858585;
    border-radius: 5px;
    position: absolute;
    left: 0;
    cursor: grab;
}

.scroll-thumb:active {
    cursor: grabbing;
}
.ant-table-body{
  overflow-x: auto !important;
}
.ant-table-body::-webkit-scrollbar{

  height:1px;
  }
  .header-scroll-bar{
    overflow-y: hidden;
    z-index: 2023 !important;
    border-bottom: 4px solid #F4F4F4;
  }

   
  .j-table-force-nowrap .header-scroll-bar::-webkit-scrollbar{
    background-color: #F4F4F4;
    height:13px;
  }
  .j-table-force-nowrap .header-scroll-bar::-webkit-scrollbar-thumb {
    background-color: #DEDEDE;
  }

  .header-scroll-bar-box{
    display:flex;
   
    
  }
  .header-scroll-bar-box  .arrow{
    width: 18px;
    position: relative;
    
  }
  .header-scroll-bar-box .arrow-left{
    margin-right: 2px;
  }
  .header-scroll-bar-box .arrow-right{
    margin-left: 2px;
  }
  .header-scroll-bar-box .arrow-left:after{
     content: '';
      position: absolute;
      margin-top: -6px;
      right: 0;
      top: 50%;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 5.5px 8px 5.5px 0;
      border-color: transparent rgba(0, 0, 0, 0.15) transparent transparent;
  }
  .header-scroll-bar-box .arrow-right:after{
     content: '';
      position: absolute;
      left: 0;
      margin-top: -6px;
      top: 50%;
      width: 0;
      height: 0;
      border-style: solid;
      border-width: 5.5px 0 5.5px 8px;
      border-color: transparent transparent transparent rgba(0, 0, 0, 0.15);
  
  }
/* .ant-table-body::-webkit-scrollbar-thumb{
  height:30px;
  width:30px;
} */
 /* .ant-table-scroll{
  margin-bottom: -8px;
 } */
  .nocn .prodetail-tanchuang .more-btn a{
    display: block;
  }
  .table-expand .jia-box .img-box-auto img{
    max-width: 100%;
  }
  .table-expand .imgshow .img-box-auto img{
   max-width: 100%;
  }
@media screen and (max-width: 1466px) {
  .nocn .table-box .left-table .tool-btns a{
    font-size: 12px;
   }
  .pro-finderlist.finderlist3 li h4 .iconfont{
    font-size: 14px;
  }
  .table-box .right-table .ant-table-row-expand-icon{
    width: 14px;
    height: 14px;
  }
  .table-box .left-table{
    width: 220px;
  }
  .table-box .right-table{
    width: calc(100% - 220px);
  }
  .table-box .left-table .tool-fnlist .ant-checkbox-wrapper span{
    font-size: 12px;
  }
  .table-expand .text .t-number .ant-input-number-input {
    font-size: 14px;
  }
  .table-box .left-table .tool-btns a{
    font-size: 12px;
    /* padding: 10px; */
    /* width: auto; */
    min-width: 78px;
    padding: 10px 1px;
  }
  .table-box .right-table .ant-table{
    font-size: 12px;
  }
  .filter-res .ant-tag {
    font-size: 14px;
  }
  .table-expand .text{
    font-size: 14px;
  }
  .table-box .left-table .tool-btns a{
    font-size: 14px;
  }
  .table-box .ant-table-tbody > tr > td, .table-box .ant-table-thead > tr > th{
    padding: 20px 6px;
    height: 64px;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .table-box .namett{
    height: 64px;
  }
  .table-box .left-table .tool-btns{
    height: 63px;
  }
  .table-box .ant-table-tbody > tr > td:nth-child(2){
    padding: 0 8px;
  }
}

@media screen and (max-width: 1366px) {
  .pro-finderlist.finderlist3 li h4 .iconfont{
    font-size: 12px;
  }
  .table-expand .text .t-number .ant-input-number-input {
    font-size: 12px;
  }
  .table-box .right-table .ant-table{
    font-size: 12px;
  }
  .filter-res .ant-tag {
    font-size: 12px;
  }
  .table-box .left-table .tool-btns a{
    font-size: 12px;
  }
  
}

@media screen and (max-width: 1000px) {
 
  .table-box .right-table {
    width: 100%;
  }
  .page-ant-box {
    padding: 12px;
  }
  .ant-pagination-next, .ant-pagination-prev {
    font-size: 12px;
  }
  .page-ant-box .ant-pagination-item, .ant-pagination-jump-next {
    display: none;
  }
  .table-box .ant-table-tbody > tr > td, .table-box .ant-table-thead > tr > th {
    padding: 12px;
    font-size: 14px;
    
  }
  /* .table-expand {
    display: block;
    width: 82vw;
  } */
  .table-expand .real-box{
    width: calc(100vw - 40px - 18px);
    display: block;
  }
  .table-expand .jia-box{
    flex-direction: column;
  }
 
  .ant-table-expanded-row td:nth-child(1) {
    display: none;
  }
  .ant-table-expanded-row td {
    white-space: initial;
  }
  .table-expand .imgshow {
    /* width: 60%; */
    margin-bottom: 12px;
    margin-right: 0;
  }
  /* .table-expand .text {
    width: 100%;
  } */
  .table-expand .imgshow, .table-expand .text{
    width: calc(100vw - 40px - 18px);
  }
  .ant-table-fixed-left table{
    background: #fbfbfb;
  
  }
  .ant-table-fixed-left table td{
    /* background-color: #FFF; */
  }
  .ant-table-fixed-left table .ant-table-row td{
    background-color: #FFF;
  }
  .filte-total {
    padding-left: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  .filter-res {
    display: block;
  }
  .table-box .namett {
    height: 50px;
  }
  .table-expand .more-btn .layui-btn + .layui-btn {
    margin: 0;
  }
  .filte-total .wap-filter {
    display: block;
  }
  .table-box .left-table {
    transition: all 0.4s;
    transform: scale(0);
    position: fixed;
  }
  .table-box .left-table.act {
    width: 100vw;
    transform: scale(1);
    display: block;
    z-index: 10000;
    background-color: #FFF;
    top: 64px;
    left: 0vw;
    right: 0vw;
    bottom: 0;
    box-shadow: 0 0px 20px rgba(136, 145, 178, 0.5);
  }
  .table-box .left-table .tool-btns {
    height: auto;
    padding: 12px;
    justify-content: flex-start;
    padding-right: 50px;
  }
  .table-box .left-table .tool-btns a {
    margin-right: 12px;
  }
  .table-box .left-table .tool-fnlist {
    padding: 12px;
    max-height: 60vh;
    overflow-y: auto;
  }
  .wap-close {
    display: block;
    position: absolute;
    right: 20px;
  }
  .page-ant-box .ant-pagination-next, .page-ant-box .ant-pagination-prev {
    padding: 0 5px;
  }
  html.vue-blocking {
    overflow: hidden;
  }
  .wap-filter-vue {
    display: block;
  }
  .wap-filter-vue .iconfont {
    font-size: 25px;
  }
  .content-product-table .m-width-contentauto{
    padding:0;
  }
  .scrollable-b{
    display: none;
  }
}
